--
-- ### Basic information commands 
-- 
-- and basic table creation / retrieval
--
show pool;
show systemspace;

list tableset;
list table;
list index;
list avltree;
list btree;
list key;
list view;
list check;
list counter;
list procedure;
list sysobj;
list tmpobj;

create table t1 ( a int, b string(30));
desc table t1;
tableinfo t1;

insert into t1 values ( 1, 'xxx');
insert into t1 values ( 2, 'yyy');
insert into t1 values ( 3, 'zzz');

select * from t1;
-- stupid but valid
select * from t1 where 1 = 1;
select a, b from t1;

select a as X , b as Y from t1;

drop table t1;
